commit 4267fba1812e61ea260157dbdaa192f02434b6e9
Author: Aleix Conchillo Flaqué <aconchillo@gmail.com>
Date:   Sun Aug 17 01:09:17 2014 +0200

    bump configure.ac version to 0.4.0 and update README

 README.org   | 10 ++++++++--
 configure.ac |  4 ++--
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 39f007f5b45de857a4f5137baaef647e4ea2f5cb
Author: Aleix Conchillo Flaqué <aconchillo@gmail.com>
Date:   Sun Aug 17 01:08:34 2014 +0200

    update AUTHORS and NEWS file

 AUTHORS | 1 +
 NEWS    | 6 ++++++
 2 files changed, 7 insertions(+)

commit 0c16fc7ef7136df909dd1edc97c282ad860ffa2b
Author: David Thompson <dthompson2@worcester.edu>
Date:   Fri Aug 15 20:44:23 2014 -0400

    Allow unquote-splicing to be used in json form.
    
    * json/syntax.scm (list->hash-table): New procedure.
      (json): Rewrite macro with unquote-splicing support.

 json/syntax.scm | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 66fe0d0a2b710f756127f39e337e87018e113eaa
Author: Aleix Conchillo Flaqué <aconchillo@gmail.com>
Date:   Fri Aug 15 23:32:17 2014 +0200

    README: remove json-parser-row/columns references

 README.org | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit ebeabd3b8daae043bb3bba214f7fcef4b213a1ab
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Oct 21 17:29:31 2013 -0700

    parser: do not keep column and row, ports already do

 json/parser.scm | 28 +++++++---------------------
 1 file changed, 7 insertions(+), 21 deletions(-)

commit 144e2893ccdfbcef3e1c569e895481fa87c86233
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Thu Jul 25 12:16:10 2013 -0700

    add + to LGPLv3

 README.org | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27b1322f4057a2b8ef72b3f7a1a5f4fc9cbcd90c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jul 14 09:26:27 2013 -0700

    add missing colon to README

 README.org | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 111e27bd924f54a3a119744b102af9dab7e8be0c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jul 6 23:25:37 2013 -0700

    minor update in INSTALL copyright notice

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 36bcb44ac749922e0b7b9dc9dd222bcad01c3cdb
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jul 6 23:15:01 2013 -0700

    bump configure.ac version and update NEWS and README

 NEWS         | 6 ++++++
 README.org   | 2 +-
 configure.ac | 2 +-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 55a700d5b9b879e848c57579f416c6d8e480beee
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jul 6 23:14:43 2013 -0700

    use pure sh script syntax in env.in

 env.in | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 20ce69906a59155a2f7092b92960d7723efadb0e
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed May 15 21:31:10 2013 -0700

    no need to add COPYING.LESSER to EXTRA_DIST

 Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit e4d23a48cbd5a2bede5c4e69d327ba56b600089c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed May 15 21:26:41 2013 -0700

    just use regular e-mail format

 Makefile.am      | 2 +-
 json.scm         | 2 +-
 json/Makefile.am | 2 +-
 json/builder.scm | 2 +-
 json/parser.scm  | 2 +-
 json/syntax.scm  | 2 +-
 pkg-list.scm.in  | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 8622937ca165795595ba96727b6e2ae6b066bc82
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon May 13 23:09:22 2013 -0700

    updated pkg-list.scm.in with LGPLv3

 pkg-list.scm.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 81f6eca8d6afb949a295167cf68ee348e37d1bfe
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon May 13 22:17:14 2013 -0700

    bump configure.ac version to 0.3.0 and update README

 README.org   | 4 ++--
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 684578da6e9aef775a8ad45a7b8c5ac9a32a5173
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon May 13 22:16:53 2013 -0700

    use new guile.m4 macro

 NEWS               |   2 +
 build-aux/guile.m4 | 171 ++++++++++++++++++++++++++++++++++++++---------------
 configure.ac       |  13 ----
 3 files changed, 126 insertions(+), 60 deletions(-)

commit cda918a79bb9eccb6dcc72c1e8d3fd1d1f683fa9
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon May 13 22:10:05 2013 -0700

    updated AUTHORS and NEWS

 AUTHORS | 1 +
 NEWS    | 8 ++++++++
 2 files changed, 9 insertions(+)

commit 2e6b032e8f864e79a1af2fb5663b83c3c1a5af39
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon May 13 22:07:40 2013 -0700

    ignore everything guile-json*

 .gitignore | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ed50098042ba4c893a987399ba1b4cfc8ce2548
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon May 13 22:07:26 2013 -0700

    relicensing with LGPLv3

 COPYING.LESSER   | 165 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 INSTALL          |   8 +--
 Makefile.am      |  25 +++++++++
 configure.ac     |  20 ++++---
 json.scm         |  20 +++----
 json/Makefile.am |  23 ++++++++
 json/builder.scm |  20 +++----
 json/parser.scm  |  20 +++----
 json/syntax.scm  |  20 +++----
 pkg-list.scm.in  |  20 +++----
 10 files changed, 273 insertions(+), 68 deletions(-)
 create mode 100644 COPYING.LESSER

commit 0393cee716c6fd8f57d7baf5679eb455521cc1bc
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon May 13 15:34:56 2013 -0700

    README: fix json.org url

 README.org | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 55e595111ff446c681271cfd6b737de058cf7f47
Merge: fb16ce8 8b129ca
Author: Aleix Conchillo Flaqué <aconchillo@gmail.com>
Date:   Mon May 13 15:02:05 2013 -0700

    Merge pull request #3 from gamechanger/convert-rationals
    
    Convert rationals to floats to comply with JSON spec

commit 8b129ca0134c938dc2f8bca54f076be03bdb9bb4
Author: Doug Woos <doug@gamechanger.io>
Date:   Mon May 13 17:11:00 2013 -0400

    Convert rationals to floats to comply with JSON spec

 json/builder.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit fb16ce894fc043d13a72760b933fcb94dfe9b73c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Apr 2 00:00:17 2013 -0700

    bump configureac version to 0.2.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ae6606f52e02c23389b57c5136e774328e6f4e6
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Apr 1 23:52:59 2013 -0700

    update NEWS with 0.2.0 release notes

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 6d6f00637f2f404e160e92bb595b59bb6859fbfb
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Apr 1 23:50:12 2013 -0700

    configure.ac: check for srfi-9 module

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit a408cb6921d6be33ef9039b3243ce95c6fc621cb
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Apr 1 23:49:20 2013 -0700

    README: added exception handling information

 README.org | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit 65965ba5e277a109a52f35c0c90576d5b6bca587
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Apr 1 23:48:59 2013 -0700

    parser: make some json-parser record type procedures public

 json/parser.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit df70e16d3cb8eb614b749962db7ac8719bb1bf46
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Apr 1 23:22:28 2013 -0700

    improve parser error reporting
    
    * json/parser.scm: a json-parser record type has been created. The
      record contains the port and the current row and column character
      being read.
    
      The parser is now an argument of the json-invalid exception.

 json/parser.scm | 249 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 141 insertions(+), 108 deletions(-)

commit 125548e673dc91bd7282c4b574f466f7d9589d2c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Mar 26 07:38:36 2013 -0700

    README: use savannah download mirrors

 README.org | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2765574c7b7915bef7f1050204a05c669bfacc2e
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Feb 10 22:01:16 2013 -0800

    bump configure.ac version to 0.1.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit adad5d1c83445666ac8a08ce7561c554f21acccb
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Feb 10 22:01:03 2013 -0800

    update README and NEWS

 NEWS       | 8 ++++++++
 README.org | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 494767305294369ec22016cefbc77bf819fc58d0
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Feb 10 21:54:19 2013 -0800

    automatically update pkg-list.scm version

 Makefile.am     |  6 +++++-
 pkg-list.scm    | 33 ---------------------------------
 pkg-list.scm.in | 33 +++++++++++++++++++++++++++++++++
 3 files changed, 38 insertions(+), 34 deletions(-)
 delete mode 100644 pkg-list.scm
 create mode 100644 pkg-list.scm.in

commit 933f30f616e20289c7db83b15c6f8dd55e465499
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Thu Feb 7 22:44:54 2013 -0800

    bump configure.ac verstion to 0.1.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 19d238fcc830bfadaa512b748f7a65001c323baf
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Thu Feb 7 22:44:28 2013 -0800

    updated README and NEWS

 NEWS       | 6 ++++++
 README.org | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c4b1f8eaeb7f7a6dce502a6b5050661a6fc82b13
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Thu Feb 7 22:42:50 2013 -0800

    use display instead of simple-format and fix pretty printing

 json/builder.scm | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit ed75efe902c6e496333409dfa3ba2b25f5c5a1e6
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Feb 2 17:40:05 2013 -0800

    README: update download url

 README.org | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f475593ab5a8d2671122d1ff6351cc218dd0945
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Feb 2 17:37:57 2013 -0800

    bump configure.ac version to 0.1.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c07d55b8ff117b5a7e670244629328713952e645
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Feb 2 17:37:26 2013 -0800

    update NEWS file

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f8f3d76429fda45d9e1c4437a8b875346293d2e
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Feb 2 13:31:25 2013 -0800

    minor indentation fix

 json/syntax.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 97da107a27f46264721c7ef7a39bd2905d3c9609
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 12:08:27 2013 -0800

    builder: preferably use simple-format instead of format

 json/builder.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a350e6de7aa9f455d250dd17c50a19c598a385f7
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 12:00:40 2013 -0800

    builder: use car/cdr instead of drop-right/last

 NEWS             |  5 +++++
 json/builder.scm | 27 ++++++++++++++-------------
 2 files changed, 19 insertions(+), 13 deletions(-)

commit b03826facd72261381a9bd7969896d20ccd7775c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 11:12:03 2013 -0800

    README: update type and add help for loading module

 README.org | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 5c70e927d1de628331e44d69ccaec80ad78f9fe9
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:41:11 2013 -0800

    ignore distribution file

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit e2fda38265fb22417dcb8fdf0568442f55deee6c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:40:39 2013 -0800

    update NEWS file

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit b5185f2b2b5bd5999073f8253af32d496e438900
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:33:59 2013 -0800

    README: fix typo

 README.org | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 125311a0dffcd0b7b5214e71b6a151745b10fddb
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:31:01 2013 -0800

    README: updated guile-json download link

 README.org | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4f878eb9e2060a38f0dfbf198d6d245a9a3e8aa
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:28:10 2013 -0800

    include pkg-list.scm in dist

 Makefile.am  | 2 +-
 pkg-list.scm | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit dc89959c50965ea186959860539590c510bb44c6
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:27:54 2013 -0800

    automatically generate ChangeLog in "make dist"

 .gitignore  | 1 -
 ChangeLog   | 6 ++++++
 Makefile.am | 3 +++
 3 files changed, 9 insertions(+), 1 deletion(-)
 create mode 100644 ChangeLog

commit 97987847aa918593fe31d2ea1ad7f0caa7be07c9
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:26:30 2013 -0800

    README: added pretty print feature

 README.org | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bccccd1fa7ae75c3cfb6637066e623bda22ed240
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:18:12 2013 -0800

    README: split usage into procedures and macros

 README.org | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit d726bde16823d051d11c6930f1477844f8f6bd40
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:12:48 2013 -0800

    README: added (json) macro syntax help

 README.org | 48 ++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 38 insertions(+), 10 deletions(-)

commit 463257e23835eb2becb74233715711fc1238d738
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 01:12:17 2013 -0800

    syntax: fix hash-table construction

 json/syntax.scm | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 15fbd16dae0d37687b38506b85c6c0e98779c42d
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 00:44:27 2013 -0800

    README: added usage section (missing json macro)

 README.org | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit 9db09d77c6feca4c559bba87db6b10067166ccfc
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Wed Jan 30 00:23:02 2013 -0800

    builder: allow pretty printing and optional escaping / (slash)

 json/builder.scm | 60 +++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 38 insertions(+), 22 deletions(-)

commit 41221b7071541008423db6a49cc41dac81c340de
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 21:32:13 2013 -0800

    builder: only use one simple-format in json-build-string

 json/builder.scm | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 5784873123e1119a9104221b19052da74ba7d002
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 21:27:26 2013 -0800

    added json-string->scm (takes a JSON string)

 json/parser.scm | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 237b69949763ff7eeb8994a430b873a1b1ab3744
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 21:26:43 2013 -0800

    scm->json know writes to a port (added scm->json-string)

 AUTHORS          |   6 +++-
 json/builder.scm | 100 +++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 68 insertions(+), 38 deletions(-)

commit f1cf70b06796a64258dc36e9c5623d87dd8cc3da
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 12:05:33 2013 -0800

    pkg-list: added missing copyright notice

 pkg-list.scm | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit 270ab1c525e8cdaf8324091704995812c4d7dd93
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 11:53:14 2013 -0800

    reuse (unicode->string)

 json/builder.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 244ccbeb7c4d440264858bbc19994009b560e456
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 11:48:29 2013 -0800

    correctly escape control characters (issue #1)

 json/builder.scm | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit e3496de2f2207378706711318f9054c0c52cf093
Merge: c387c6a a3dc446
Author: Aleix Conchillo Flaqué <aconchillo@gmail.com>
Date:   Tue Jan 29 11:09:46 2013 -0800

    Merge pull request #2 from ijp/master
    
    Add pkg-list.scm

commit a3dc446b9a75d4679c4a5d47e962daa910ec5d31
Author: Ian Price <ianprice90@googlemail.com>
Date:   Tue Jan 29 18:52:16 2013 +0000

    Add pkg-list.scm

 AUTHORS      |  1 +
 README.org   |  2 ++
 pkg-list.scm | 10 ++++++++++
 3 files changed, 13 insertions(+)
 create mode 100644 pkg-list.scm

commit c387c6ab621e792d05314995c29b421a221cc0ca
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 08:39:46 2013 -0800

    builder: add support for two byte utf-8

 configure.ac     |  1 +
 json/builder.scm | 34 ++++++++++++++++++++++++----------
 2 files changed, 25 insertions(+), 10 deletions(-)

commit abc2aaa4a80b0a65d8c38b4ff7e9c713b7f89e3c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 00:58:43 2013 -0800

    README: remove source code repo reference

 README.org | 15 ++-------------
 1 file changed, 2 insertions(+), 13 deletions(-)

commit 5e76336ba4926016d072acad702da26aad3e4199
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 00:53:39 2013 -0800

    README: fix some typos

 README.org | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d03b841d385861fcb5d775dc00668076e27a5ddd
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 00:50:13 2013 -0800

    trying github markup

 README     | 56 +-------------------------------------------------------
 README.org | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+), 55 deletions(-)
 mode change 100644 => 120000 README
 create mode 100644 README.org

commit 8c6af7fc2a85eff7ed1bc4b841c558830adb6cee
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 00:42:03 2013 -0800

    README: added installation instructions

 README | 50 +++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 47 insertions(+), 3 deletions(-)

commit c72259d980ac8a41838eea8a21b2fe7403c18874
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 00:41:47 2013 -0800

    added missing builder.scm

 json/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c44017aa44db8a1c77c624d831c79eae8ca9ce1f
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Tue Jan 29 00:11:06 2013 -0800

    minimal update to README

 README | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 737ad38104099dccb14df08876c8bbeb2eb555ea
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Jan 28 23:58:18 2013 -0800

    builder: just added a couple of comments

 json/builder.scm | 3 +++
 1 file changed, 3 insertions(+)

commit e8ea3bdfe494e705c245b9c395e3cfcbb99cecaf
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Jan 28 23:53:19 2013 -0800

    add support for unicode characters in builder

 configure.ac     |  1 +
 json/builder.scm | 23 ++++++++++++++++++++++-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 30787ef43e3047def1679f4f0407ed5ae4974355
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Mon Jan 28 23:16:13 2013 -0800

    add string builder (working on unicode chars)

 json/builder.scm | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit ec32899d4e32925bc1471210c2f7d6c59b8f1c6f
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 22:02:59 2013 -0800

    use values as keys nstead of symbols (strings can have spaces)

 json/builder.scm | 2 +-
 json/parser.scm  | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 498d76420982dac607e7588004bd53ae6937529d
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 21:48:11 2013 -0800

    initial scm->json implementation

 json.scm         |  4 ++-
 json/builder.scm | 81 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+), 1 deletion(-)
 create mode 100644 json/builder.scm

commit beb1bb7d4cec6d5270dd2810f2e8cbff6ae4b09d
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 19:02:22 2013 -0800

    accept unquote in syntax so we can add code

 json/syntax.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 97b4e8cf596e6d0c39899f93655d7cd2f399cec8
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 18:44:20 2013 -0800

    split moduel into different files

 Makefile.am      |  18 +++-
 configure.ac     |   4 +-
 json.scm         |  45 ++++++++
 json/Makefile.am |  15 +++
 json/parser.scm  | 323 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 json/syntax.scm  |  56 ++++++++++
 src/Makefile.am  |  15 ---
 src/json.scm     | 323 -------------------------------------------------------
 8 files changed, 458 insertions(+), 341 deletions(-)
 create mode 100644 json.scm
 create mode 100644 json/Makefile.am
 create mode 100644 json/parser.scm
 create mode 100644 json/syntax.scm
 delete mode 100644 src/Makefile.am
 delete mode 100644 src/json.scm

commit e49b0377774ce11c96729db8562794e8a067ea7c
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 10:22:13 2013 -0800

    rename json-read-complex -> json-read-delimited

 src/json.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 1f85df1523d62e0394478fc610f752b989e5aeab
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 10:18:12 2013 -0800

    throw expcetion if eof is find too soon

 src/json.scm | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit a3f012c1b7f39be4813b0058909b370a557232d7
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 10:11:31 2013 -0800

    json->scm now reads from port instead of string

 src/json.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 16d96fa904869def688f4296b349cdcb05f88a75
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sun Jan 27 09:55:51 2013 -0800

    use macro to simplify json-read-[array,object,string]

 src/json.scm | 41 +++++++++++++++++------------------------
 1 file changed, 17 insertions(+), 24 deletions(-)

commit e1158b5aefb2dc71716585c9da3eb024f5cad3bb
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 23:28:03 2013 -0800

    prepare guile-json library for installation

 .gitignore         |  15 ++
 AUTHORS            |   1 +
 COPYING            | 674 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 INSTALL            | 370 +++++++++++++++++++++++++++++
 Makefile.am        |   3 +
 NEWS               |   0
 README             |   3 +
 README.org         |   3 -
 build-aux/guile.m4 | 229 ++++++++++++++++++
 configure.ac       |  45 ++++
 env.in             |  16 ++
 json/json.scm      | 292 -----------------------
 src/Makefile.am    |  15 ++
 src/json.scm       | 324 +++++++++++++++++++++++++
 14 files changed, 1695 insertions(+), 295 deletions(-)
 create mode 100644 .gitignore
 create mode 100644 AUTHORS
 create mode 100644 COPYING
 create mode 100644 INSTALL
 create mode 100644 Makefile.am
 create mode 100644 NEWS
 create mode 100644 README
 delete mode 100644 README.org
 create mode 100644 build-aux/guile.m4
 create mode 100644 configure.ac
 create mode 100644 env.in
 delete mode 100644 json/json.scm
 create mode 100644 src/Makefile.am
 create mode 100644 src/json.scm

commit 5e2b0cf5faac6a9950efdbf06bb6b77d6a62bb26
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 23:11:35 2013 -0800

    minor procedures ordering

 json/json.scm | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 9ab2dbca51a21a0a5caeca4ac2014fdeeff9d956
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 23:08:39 2013 -0800

    json objects are really hash tables

 json/json.scm | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit bf47aad7e8850e2d8eea9820cde89d196b4496d6
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 22:43:00 2013 -0800

    simplify exception usage only json-invalid is thrown

 json/json.scm | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 67aad00c732df78360339e8695a316783ce5644a
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 22:40:21 2013 -0800

    add support for objects and some cleanup

 json/json.scm | 160 ++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 110 insertions(+), 50 deletions(-)

commit afd4b27ff837e15bbab8ea2e275d54baa61571ca
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 15:28:40 2013 -0800

    allow array nestings

 json/json.scm | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 662f6ff383788b0241da46d8b1c16b2a307739d4
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 15:19:01 2013 -0800

    cleanup whitespace parsing

 json/json.scm | 211 +++++++++++++++++++++++++++-------------------------------
 1 file changed, 98 insertions(+), 113 deletions(-)

commit 93ee12dbfe6c401df67c4bbdd01bd3105950ebfd
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 15:03:16 2013 -0800

    allow whitespaces between array elements

 json/json.scm | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit e710de589a544cd2f326cd81f292d11c576a2758
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 14:25:23 2013 -0800

    fix number parsing inside objects and arrays

 json/json.scm | 179 ++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 104 insertions(+), 75 deletions(-)

commit af3890584ff3ea2ea9bda7d2cd98a5cad2fac9f4
Author: Aleix Conchillo Flaque <aconchillo@gmail.com>
Date:   Sat Jan 26 13:19:57 2013 -0800

    initial module import

 README.md     |   4 --
 README.org    |   3 +
 json/json.scm | 196 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 199 insertions(+), 4 deletions(-)
 delete mode 100644 README.md
 create mode 100644 README.org
 create mode 100644 json/json.scm

commit c2952206fc911488f1f31811ea0466b258f358e9
Author: Aleix Conchillo Flaqué <aconchillo@gmail.com>
Date:   Sat Jan 26 13:18:26 2013 -0800

    Initial commit

 README.md | 4 ++++
 1 file changed, 4 insertions(+)
 create mode 100644 README.md
